Bug 1017430 - (CVE-2013-4412) CVE-2013-4412 slim: malformed or unsupported salts can crash login daemon
CVE-2013-4412 slim: malformed or unsupported salts can crash login daemon
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130703,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 17:00 EDT by Vincent Danen
Modified: 2015-07-31 03:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: slim 1.3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-10-09 17:00:12 EDT
It was reported [1] that slim 1.3.6 corrected [2] a potential security related to a potential NULL pointer dereference when using crypt() from glibc 2.17+.  If using this version of glibc with older versions of slim, the login daemon could crash when processing malformed or unsupported salts.

Although Fedora 18 ships this version of slim, it does not use a version of glibc that exposes this issue (Fedora 18 ships with glibc 2.16).

[1] http://www.openwall.com/lists/oss-security/2013/10/09/4
[2] http://git.berlios.de/cgi-bin/cgit.cgi/slim/commit/?id=fbdfae3b406b1bb6f4e5e440e79b9b8bb8f071fb

Note You need to log in before you can comment on or make changes to this bug.